/*
 * @Author: yuananting
 * @Date: 2021-03-03 15:13:12
 * @LastEditors: fusanqiasng
 * @LastEditTime: 2021-05-25 10:07:03
 * @Description: 助学工具接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import Service from '@/common/js/service'

export function queryExternalCategoryTree(params: object) {
  return Service.Hades('public/externalHades/queryCategoryTree', params)
}

export function queryCategoryTree(params: object) {
  return Service.Hades('public/hades/queryCategoryTree', params)
}

export function addCategory(params: object) {
  return Service.Hades('public/hades/addCategory', params)
}

export function delCategory(params: object) {
  return Service.Hades('public/hades/delCategory', params)
}

export function editCategory(params: object) {
  return Service.Hades('public/hades/editCategory', params)
}

export function editCategoryTree(params: object) {
  return Service.Hades('public/hades/editCategoryTree', params)
}

export function queryQuestionPageList(params: object) {
  return Service.Hades('public/hades/queryQuestionPageList', params)
}

export function addQuestion(params: object) {
  return Service.Hades('public/hades/addQuestion', params)
}

export function deleteQuestion(params: object) {
  return Service.Hades('public/hades/deleteQuestion', params)
}

export function queryQuestionDetails(params: object) {
  return Service.Hades('public/hades/queryQuestionDetails', params)
}

export function editQuestion(params: object) {
  return Service.Hades('public/hades/editQuestion', params)
}

export function batchImport(params: object) {
  return Service.Hades('public/hades/batchImport', params)
}

export function createPaper(params: object) {
  return Service.Hades('public/hades/createPaper', params)
}

export function queryPaperPageList(params: object) {
  return Service.Hades('public/hades/queryPaperPageList', params)
}

export function deletePaper(params: object) {
  return Service.Hades('public/hades/deletePaper', params)
}

export function queryPaperDetail(params: object) {
  return Service.Hades('public/hades/queryPaperDetail', params)
}

export function viewPaper(params: object) {
  return Service.Hades('public/hades/viewPaper', params)
}

export function editPaper(params: object) {
  return Service.Hades('public/hades/editPaper', params)
}

export function batchQueryQuestionDetails(params: object) {
  return Service.Hades('public/hades/batchQueryQuestionDetails', params)
}

export function queryQuestionPageListWithContent(params: object) {
  return Service.Hades('public/hades/queryQuestionPageListWithContent', params)
}
